System 2.0.0.0 4.0.0.0 System.Enum

The appropriate contents of various headers are described in detail in the HTTP/1.1 specification, available at rfc2616.

The HTTP headers that may be specified in a client request.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Accept header, which specifies the MIME types that are acceptable for the response.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Accept-Charset header, which specifies the character sets that are acceptable for the response.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Accept-Encoding header, which specifies the content encodings that are acceptable for the response.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Accept-Langauge header, which specifies that natural languages that are preferred for the response.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Allow header, which specifies the set of HTTP methods supported.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Authorization header, which specifies the credentials that the client presents in order to authenticate itself to the server.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Cache-Control header, which specifies directives that must be obeyed by all cache control mechanisms along the request/response chain.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Connection header, which specifies options that are desired for a particular connection.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Content-Encoding header, which specifies the encodings that have been applied to the accompanying body data.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Content-Langauge header, which specifies the natural language(s) of the accompanying body data.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Content-Length header, which specifies the length, in bytes, of the accompanying body data.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Content-Location header, which specifies a URI from which the accompanying body may be obtained.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Content-MD5 header, which specifies the MD5 digest of the accompanying body data, for the purpose of providing an end-to-end message integrity check.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Content-Range header, which specifies where in the full body the accompanying partial body data should be applied.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Content-Type header, which specifies the MIME type of the accompanying body data.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Cookie header, which specifies cookie data presented to the server.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Date header, which specifies the date and time at which the request originated.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Expect header, which specifies particular server behaviors that are required by the client.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Expires header, which specifies the date and time after which the accompanying body data should be considered stale.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The From header, which specifies an Internet E-mail address for the human user who controls the requesting user agent.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Host header, which specifies the host name and port number of the resource being requested.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The If-Match header, which specifies that the requested operation should be performed only if the client's cached copy of the indicated resource is current.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The If-Modified-Since header, which specifies that the requested operation should be performed only if the requested resource has been modified since the indicated data and time.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The If-None-Match header, which specifies that the requested operation should be performed only if none of client's cached copies of the indicated resources are current.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The If-Range header, which specifies that only the specified range of the requested resource should be sent, if the client's cached copy is current.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The If-Unmodified-Since header, which specifies that the requested operation should be performed only if the requested resource has not been modified since the indicated date and time.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Keep-Alive header, which specifies a parameter used into order to maintain a persistent connection.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Last-Modified header, which specifies the date and time at which the accompanying body data was last modified.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Max-Forwards header, which specifies an integer indicating the remaining number of times that this request may be forwarded.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Pragma header, which specifies implementation-specific directives that might apply to any agent along the request/response chain.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Proxy-Authorization header, which specifies the credentials that the client presents in order to authenticate itself to a proxy.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Range header, which specifies the the sub-range(s) of the response that the client requests be returned in lieu of the entire response.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Referer header, which specifies the URI of the resource from which the request URI was obtained.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The TE header, which specifies the transfer encodings that are acceptable for the response.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Trailer header, which specifies the header fields present in the trailer of a message encoded with chunked transfer-coding.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Transfer-Encoding header, which specifies what (if any) type of transformation that has been applied to the message body.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Translate header, a Microsoft extension to the HTTP specification used in conjunction with WebDAV functionality.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Upgrade header, which specifies additional communications protocols that the client supports.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The User-Agent header, which specifies information about the client agent.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Via header, which specifies intermediate protocols to be used by gateway and proxy agents.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpRequestHeader

  The Warning header, which specifies additional information about that status or transformation of a message that might not be reflected in the message.